function najdiCviky(){
	//vymazem vsetky cviky	
	$.each( $('.cvik'), function(){
		$(this).remove();
	});

	//zobrazim loader
	$('#ajaxLoad').css("display","block");
	
	nazov=$('#nazovH').val();
	tech=$('#taktikaH').val();
	tak=$('#taktikaH').val();
	kon=$('#kondickaH').val();
	spustiAjaxCviky(nazov ,tech,tak ,kon, function(results) {
		var cviky = jQuery.parseJSON(results);
		if (cviky)
		$.each( cviky, function(){
			//vypisem kazdy najdeny cvik
			str= '<h3><a href="#" onclick=\'$(this).parent().parent().find("p").toggle(); return false;\' return false;" >'+this.nazov+'</a></h3>';
			str+= '<span class="green">kondícia:'+this.kondicka+'</span> , <span class="fial">taktika:'+this.taktika+'</span> ,<span class="zlta">technika:'+this.technika+'</span> ';
			str+= '<p> Znenie cvičenia:'+this.popis+'</p>';			
		});
		else {
			str='<h2>Nenajdeny ziadny cvik</h2>';
		}
		$('#ajaxLoad').css("display","none");
		$("#cviky").append('<div class="cvik" >'+str+'</div> ');
		
	});
}

function spustiAjaxCviky( nazov ,tech,tak ,kon, odozva ){
	$.post('/plugins/cvicenia/ajax.php', 
			  { 
			    "nazov": nazov,
			    "tech": tech,
			    "tak": tak,
			    "kon": kon
			  },
			  function(data,status){
				  odozva(data);
			  });
}



function kontrolaMenoPriezvisko(selector){
$(selector).live('change',function() { 
		if ( $(this).val().match(/^[a-žA-Ž]{1,}[ ]{1}[a-žA-Ž]{1,}$/) || !($(this).val()) ) {
		$(this).css("border", "1px solid #000000");
		$(this).css("background-color", "white");
	}
else {
	$(this).css("background-color", "#EFE1E1");
	$(this).css("border", "1px solid red");
	}
		
}); 
}

function kontrolaMeno(selector){
	$(selector).live('change',function() { 
			if ( $(this).val().match(/^[a-žA-Ž]{2,}$/) || !($(this).val()) ) {
			$(this).css("border", "1px solid #000000");
			$(this).css("background-color", "white");
		}
	else {
		$(this).css("background-color", "#EFE1E1");
		$(this).css("border", "1px solid red");
		}
			
	}); 
	}

function kontrolaCislo(selector){
	$(selector).live('change',function() { 
			if ( $(this).val().match(/^[0-9]{1,}$/) || !($(this).val()) ) {
			$(this).css("border", "1px solid #000000");
			$(this).css("background-color", "white");
		}
	else {
		$(this).css("background-color", "#EFE1E1");
		$(this).css("border", "1px solid red");
		}
			
	}); 
	}

	function kontrolaFloat(selector){
	$(selector).live('change',function() { 
			if ( $(this).val().match(/^-?(?:\d+|\d*\.\d+)$/) || !($(this).val()) ) {
			$(this).css("border", "1px solid #000000");
			$(this).css("background-color", "white");
		}
	else {
		$(this).css("background-color", "#EFE1E1");
		$(this).css("border", "1px solid red");
		}
			
	}); 
	}


function kontrolaEmail(selector){
	$(selector).live('change',function() { 
			if ( $(this).val().match(/^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}$/) || !($(this).val()) ) {
			$(this).css("border", "1px solid #E5E5E5");
			$(this).css("background-color", "white");
		}
	else {
		$(this).css("background-color", "#EFE1E1");
		$(this).css("border", "1px solid red");
		}
			
	}); 
	}

function kontrolaPass(selector){
	$(selector).live('change',function() { 
			if ( $(this).val().length>3 || !($(this).val()) ) {
			$(this).css("border", "1px solid #E5E5E5");
			$(this).css("background-color", "white");
		}
	else {
		$(this).css("background-color", "#EFE1E1");
		$(this).css("border", "1px solid red");
		}
			
	}); 
	}